|  | Home | Documentation | Header structure and functions updated Mon Mar 24 2025 by Robert van Engelen |

- Main Page
- Modules
- Classes
- Files

Classes | Functions
Header structure and functions

This module defines the `SOAP_ENV__Header` structure and `soap_header` function to allocate the header. More...

## Classes
struct | SOAP_ENV__Header
| SOAP Header structure. More...

## Functions
void | soap_header (struct soap *soap)
| If `soap::header` is NULL then allocate `SOAP_ENV__Header` header and set `soap::header` to point to it. More...

## Detailed Description

This module defines the `SOAP_ENV__Header` structure and `soap_header` function to allocate the header.

## Function Documentation

void soap_header | ( | struct soap * | soap | ) |

If `soap::header` is NULL then allocate `SOAP_ENV__Header` header and set `soap::header` to point to it.

If `soap::header` is NULL then this function allocates a `SOAP_ENV__Header` structure in memory managed by the context, default initializes its members, and sets `soap::header` to point to the allocated structure.

See also
  `SOAP_ENV__Header`.

Parameters

  soap | `soap` context